# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

## Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Button
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Dump
- JXG.EventEmitter
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.VMLRenderer
- JXG.XML
- Label
- Line
- Locus
- MajorArc
- MajorSector
- Midpoint
- MinorArc
- MinorSector
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- PolarLine
- PolePoint
- Polygon
- Quadtree
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopetriangle
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle

# Class JXG.CA

↳ JXG.CA

Defined in: ca.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.CA(code, geonext, parser) A JessieCode object provides an interface to the parser and stores all variables and objects used within a JessieCode script.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| expandDerivatives(node, parent, ast) f = map (x) -> x*sin(x); Usages: h = D(f, x); h = map (x) -> D(f, x);
| setMath(node) Declare all subnodes as math nodes, i.e recursively set node.isMath = true;

Class Detail
JXG.CA(code, geonext, parser)
A JessieCode object provides an interface to the parser and stores all variables and objects used within a JessieCode script. The optional argument `code` is interpreted after initializing. To evaluate more code after initializing a JessieCode instance please use JXG.JessieCode#parse. For code snippets like single expressions use JXG.JessieCode#snippet.

Parameters:
{String} code Optional
  Code to parse.
{Boolean} geonext Optional, Default: false
  Geonext compatibility mode.
parser

Method Detail
expandDerivatives(node, parent, ast)
f = map (x) -> x*sin(x); Usages: h = D(f, x); h = map (x) -> D(f, x);

Parameters:
node
parent
ast

setMath(node)
Declare all subnodes as math nodes, i.e recursively set node.isMath = true;

Parameters:
node

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Aug 23 2017 17:12:46 GMT-0000 (UTC)